using System;
using Server;
using Server.Spells.Second;
using Server.Targeting;

namespace Server.Items
{
	public class RemoveTrapWand : BaseWand
	{
		[Constructable]
		public RemoveTrapWand() : base( WandEffect.RemoveTrap, 5, 30 )
		{
		}

		public RemoveTrapWand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnWandUse( Mobile from )
		{
			Cast( new RemoveTrapSpell( from, this ) );
		}
	}
}